Public Member Functions
CRigidConstraintAccessor Class Reference

## Detailed Description

The rigid constraint accessor provides an optimized access to the data and property values of a rigid constraint object. CRigidConstraintAccessor is suitable for data export applications as it allows access to rigid body data more quickly and efficiently than the regular API classes.

Since:
  6.0

`#include <xsi_rigidconstraintaccessor.h>`

Inheritance diagram for CRigidConstraintAccessor:
[legend]

List of all members.

## Public Member Functions
| CRigidConstraintAccessor ()
| ~CRigidConstraintAccessor ()
| CRigidConstraintAccessor (const CRef &in_ref)
| CRigidConstraintAccessor (const CRigidConstraintAccessor &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
CRigidConstraintAccessor & | operator= (const CRigidConstraintAccessor &in_obj)
CRigidConstraintAccessor & | operator= (const CRef &in_ref)
CRefArray | GetAttachedRigidBodies () const
LONG | GetAttachedRigidBodiesCount () const
SimulationEnvironment | GetSimulationEnvironment () const

## Constructor & Destructor Documentation

CRigidConstraintAccessor | ( |  | ) |

Default constructor.

~CRigidConstraintAccessor | ( |  | ) |

Default destructor.

CRigidConstraintAccessor | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

CRigidConstraintAccessor | ( | const CRigidConstraintAccessor & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from CBase.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Implements CBase.

CRigidConstraintAccessor& operator= | ( | const CRigidConstraintAccessor & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new CRigidConstraintAccessor object.

CRigidConstraintAccessor& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new CRigidConstraintAccessor object.

CRefArray GetAttachedRigidBodies | ( |  | ) | const

Returns all rigid bodies attached to this rigid constraint.

Returns:
  An array of references to X3DObject objects

See also:
  CRigidBodyAccessor::GetAttachedRigidConstraints
  SimulationEnvironment::GetRigidBodyObjects

Since:
  6.0

LONG GetAttachedRigidBodiesCount | ( |  | ) | const

Returns the number of rigid bodies attached to this rigid constraint as a LONG.

See also:
  X3DObject::GetRigidConstraintAccessor
  CRigidBodyAccessor::GetAttachedRigidBodies

Since:
  6.0

SimulationEnvironment GetSimulationEnvironment | ( |  | ) | const

Returns the SimulationEnvironment that contains this rigid constraint.

Since:
  6.0

The documentation for this class was generated from the following file:

- xsi_rigidconstraintaccessor.h